import { shallowMount } from '@vue/test-utils'
import TestBox from '@/components/TestBox.vue'

describe('CustomInput.vue', () => {
    it('renders label when passed', async () => {
        const label = 'new label'
        const wrapper = shallowMount(TestBox)
        await wrapper.setProps({
            label
        })
        const h4 = wrapper.find('h4')
        expect(h4.text()).toMatch(label)
    })
})
